Subject: Re: RFC1342 (printing 8-bit chars in the Subject)

From: Dimakopoulos Panagiotis <[email-masked]>
Date: Wed, 6 Mar 1996 16:08:37 +0200 (EET)

On Wed, 17 Jan 1996, Johan Holmberg wrote:

> 
> A couple of days ago I wrote:
> >  
> >  Dimakopoulos Panagiotis <[email-masked]> writes:
> >  >  
> >  >  Does anybody know if a patch has been released for pine to comply
> >  >  with the RFC1342 ? This RFC describes an extension to the message
> >  >  format defined in RFC 1341 (MIME) to allow the representation of 
> >  >  character sets other than ASCII in RFC 822 message headers.
> >  >  
> >  
> >  I have a patch that does this. [...]
> >  
> [...]
> >  
> >  I have used this patch a lot on SunOS and IRIX, and beleive it works
> >  on Solaris-2 and HPUX too. Shouldn't be any problems for other platforms,
> >  but I just haven't modified the Makefiles for other platforms.
> >  
> >  But, since 3.92 isn't far away, I'll probably not do any further work
> >  on it.
> >  
> >  Anyway, if you want to try my patch, send me an email and I'll
> >  send you the patch.
> >  
> 
> The patch is now available as
> 
>    ftp://ftp.nada.kth.se/pub/i18n/mime_head/pine3.91-jh803.tar.gz
> 
> 
> /johan holmberg
> 
> -- 
> -----------------------------------------------------------------------
> Johan Holmberg                     Email:   [email-masked]
> Telia Promotor AB                  Phone:   +46 18  18 94 55
> Box 1218                           Mobile:  +46 70 528 94 55
> 751 42 Uppsala, SWEDEN             Fax:     +46 18  18 94 99
> -----------------------------------------------------------------------
> 

Hi again,

	I have the following peculiar situation: I have got two machines
running Solaris 2.4 and pine 3.91jh803 on both systems (with your patch
in it). The only difference is that on one system is running
IDA sendmail and on the other sendmail v8.7.4. When I send a mail from the
second system with 8-bit chars inside and when it asks me to choose
between Mime or Normal sending (letters M or Y) I press Y.

	However the message arrives MIME encoded and I also I can see
at the bottom of the pine screen that MIME method is used. Could you
please tell me how pine decides not to use the simple 8-bit char sending
and it prefers to disobey my 'Y' request?

	I do not think that it has to do with sendmail itself as
when I send the message with the greek chars by using "Mail -v dimakop@.."
then they arrive at the other end (where IDA sendmail is running)
not encoded in MIME.

Thank you,

           ------------------------------------------------------
           | Panos Dimakopoulos             [email-masked]      |
           | COMPUTER TECHNOLOGY INSTITUTE                      |
           | P.O. Box 1122                                      |
           | 261 10 Patras, Greece                              |
           | Tel (+30) 61 992061, 994317    Fax (+30) 61 993973 |
           ------------------------------------------------------

---

From: Vladimir Solnicky (Vladimír Solnický) <[email-masked]>
Date: Thu, 7 Mar 1996 15:39:15 +0100 (MET)

> then they arrive at the other end (where IDA sendmail is running)

Sorry but it does have to do with sendmail. When sendmail 8.7.* series
gets a MIME formated eight-bit message, it checks the next end if it
supports 8BITMIME mode (IDA does not) and if not, it converts everything
to Quoted-Printable or Base64. It is the supposed and wanted behaviour. 
If it does such things for non-MIME eight-bit messages depends on
configuration options. One solution is to upgrade to sendmail 8.7.4 from
IDA. 

Regards, V. S.

|  |  Bc. Vladimir Solnicky (Vladimír Solnický using ISO 8859-1 or 2)
|  |  Institute of Information             UTIA AV CR
 \/   Theory and Automation                Pod vodarenskou vezi 4
Department of Computing Systems            182 08 Praha 8-Liben
+42 2 6605/2212   fax: +42 2 6884677       Czech Republic
+42 2 6605/2364   e-mail: [email-masked]   ftp.utia.cas.cz
http://www.utia.cas.cz/user_data/vs/vs-home-en.html